# Name

maven

# Category

Build Tool

# Description

Enables Apache Maven as the controlling build tool.

# Environment Variables

`MAVEN_HOME` may be used to find the `mvn` executable.

# Options

Option | Notes
--- | ---
`--mvn-cmd=<cmd>` | Executable location
`--mvn-custom-repos` | Use custom Apache Maven repositories (generally `$WORKSPACE/yetus-m2`) instead of the default.
`--mvn-custom-repos-dir=<dir>` | Override the default location that test-patch will use when `--mvn-custom-repos` is enabled
`--mvn-deps-order=<bool>` | Disable the plug-ins auto-dependency module ordering detection
`--mvn-settings=<file>` | Configuration the location of Maven's settings file

# Docker Notes

None

# Developer Notes

The `maven` plug-in adds several API calls that other plug-ins may use to configure specific Apache Maven behavior, generally around Maven cache management.

See build tools for more information.